/**! @qoopido/validator 1.3.1 | https://github.com/dlueth/qoopido | (c) 2021 Dirk Lueth */
/**
 * Check if value is transferable
 *
 * @param {*} value
 *
 * @returns {Boolean}
 */
function isTransferable(value) {
    return (
        ("ArrayBuffer" in self && value instanceof ArrayBuffer) ||
        ("MessagePort" in self && value instanceof MessagePort) ||
        ("ImageBitmap" in self && value instanceof ImageBitmap)
    );
}

export default isTransferable;
//# sourceMappingURL=isTransferable.js.map
