/**! @qoopido/validator 1.3.1 | https://github.com/dlueth/qoopido | (c) 2021 Dirk Lueth */
(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? module.exports = factory() :
    typeof (provide || define) === 'function' && (provide || define).amd ? (provide || define)(factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, global['@qoopido/validator/isObject'] = factory());
}(this, (function () { 'use strict';

    /**
     * Check if value is an array
     *
     * @param {*} value
     *
     * @returns {Boolean}
     */
    function isArray(value) {
        return Array.isArray(value);
    }

    /**
     * Check if value is falsy
     *
     * @param {*} value
     *
     * @returns {Boolean}
     */
    function isFalsy(value) {
        // eslint-disable-next-line eqeqeq
        return !value || (!isArray(value) && (value == "" || value == 0));
    }

    /**
     * Check if value is of a certain type
     *
     * @param {*} value
     * @param {String} type
     *
     * @returns {Boolean}
     */
    function isTypeof(value, type) {
        return typeof value === type;
    }

    /**
     * Check if value is an object
     *
     * @param {*} value
     *
     * @returns {Boolean}
     */
    function isObject(value) {
        return !isFalsy(value) && isTypeof(value, "object");
    }

    return isObject;

})));
//# sourceMappingURL=isObject.js.map
