/**! @qoopido/validator 1.3.1 | https://github.com/dlueth/qoopido | (c) 2021 Dirk Lueth */
(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? module.exports = factory() :
    typeof (provide || define) === 'function' && (provide || define).amd ? (provide || define)(factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, global['@qoopido/validator/isTransferable'] = factory());
}(this, (function () { 'use strict';

    /**
     * Check if value is transferable
     *
     * @param {*} value
     *
     * @returns {Boolean}
     */
    function isTransferable(value) {
        return (
            ("ArrayBuffer" in self && value instanceof ArrayBuffer) ||
            ("MessagePort" in self && value instanceof MessagePort) ||
            ("ImageBitmap" in self && value instanceof ImageBitmap)
        );
    }

    return isTransferable;

})));
//# sourceMappingURL=isTransferable.js.map
